### Hierarchy

- Function
  - CallableFunction

## Index

### Properties

- Function
- arguments
- caller
- length
- name
- prototype

### Methods

- __@hasInstance
- apply
- bind
- call
- toString

## Properties

### Function

Function: FunctionConstructor

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:316

### arguments

arguments: any

Inherited from Function.arguments

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:302

### caller

caller: Function

Inherited from Function.caller

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:303

### length

length: number

Inherited from Function.length

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:299

### name

name: string

Inherited from Function.name

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.core.d.ts:97

Returns the name of the function. Function names are read-only and can not be changed.

### prototype

prototype: any

Inherited from Function.prototype

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:298

## Methods

### __@hasInstance

- __@hasInstance(value: any): boolean

- Inherited from Function.__@hasInstance

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.symbol.wellknown.d.ts:157

  Determines whether the given value inherits from this function if this function was used as a constructor function.

  A constructor function can control which objects are recognized as its instances by 'instanceof' by overriding this method.

  #### Parameters

  - ##### value: any

  #### Returns boolean

### apply

- apply<T, R>(this: function, thisArg: T): R
- apply<T, A, R>(this: function, thisArg: T, args: A): R

- Overrides Function.apply

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:324

  Calls the function with the specified object as the this value and the elements of specified array as the arguments.

  #### Type parameters

  - #### T

  - #### R

  #### Parameters

  - ##### this: function

    - - (this: T): R

      - #### Parameters

        - ##### this: T

        #### Returns R

  - ##### thisArg: T

    The object to be used as the this object.

  #### Returns R

- Overrides Function.apply

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:325

  #### Type parameters

  - #### T

  - #### A: any[]

  - #### R

  #### Parameters

  - ##### this: function

    - - (this: T, ...args: A): R

      - #### Parameters

        - ##### this: T

        - ##### Rest ...args: A

        #### Returns R

  - ##### thisArg: T

  - ##### args: A

  #### Returns R

### bind

- bind<T, A, R>(this: function, thisArg: T): function
- bind<T, A0, A, R>(this: function, thisArg: T, arg0: A0): function
- bind<T, A0, A1, A, R>(this: function, thisArg: T, arg0: A0, arg1: A1): function
- bind<T, A0, A1, A2, A, R>(this: function, thisArg: T, arg0: A0, arg1: A1, arg2: A2): function
- bind<T, A0, A1, A2, A3, A, R>(this: function, thisArg: T, arg0: A0, arg1: A1, arg2: A2, arg3: A3): function
- bind<T, AX, R>(this: function, thisArg: T, ...args: AX[]): function

- Overrides Function.bind

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:340

  For a given function, creates a bound function that has the same body as the original function. The this object of the bound function is associated with the specified object, and has the specified initial parameters.

  #### Type parameters

  - #### T

  - #### A: any[]

  - #### R

  #### Parameters

  - ##### this: function

    - - (this: T, ...args: A): R

      - #### Parameters

        - ##### this: T

        - ##### Rest ...args: A

        #### Returns R

  - ##### thisArg: T

    The object to be used as the this object.

  #### Returns function

  - - (...args: A): R

    - #### Parameters

      - ##### Rest ...args: A

        Arguments to bind to the parameters of the function.

      #### Returns R

- Overrides Function.bind

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:341

  #### Type parameters

  - #### T

  - #### A0

  - #### A: any[]

  - #### R

  #### Parameters

  - ##### this: function

    - - (this: T, arg0: A0, ...args: A): R

      - #### Parameters

        - ##### this: T

        - ##### arg0: A0

        - ##### Rest ...args: A

        #### Returns R

  - ##### thisArg: T

  - ##### arg0: A0

  #### Returns function

  - - (...args: A): R

    - #### Parameters

      - ##### Rest ...args: A

      #### Returns R

- Overrides Function.bind

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:342

  #### Type parameters

  - #### T

  - #### A0

  - #### A1

  - #### A: any[]

  - #### R

  #### Parameters

  - ##### this: function

    - - (this: T, arg0: A0, arg1: A1, ...args: A): R

      - #### Parameters

        - ##### this: T

        - ##### arg0: A0

        - ##### arg1: A1

        - ##### Rest ...args: A

        #### Returns R

  - ##### thisArg: T

  - ##### arg0: A0

  - ##### arg1: A1

  #### Returns function

  - - (...args: A): R

    - #### Parameters

      - ##### Rest ...args: A

      #### Returns R

- Overrides Function.bind

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:343

  #### Type parameters

  - #### T

  - #### A0

  - #### A1

  - #### A2

  - #### A: any[]

  - #### R

  #### Parameters

  - ##### this: function

    - - (this: T, arg0: A0, arg1: A1, arg2: A2, ...args: A): R

      - #### Parameters

        - ##### this: T

        - ##### arg0: A0

        - ##### arg1: A1

        - ##### arg2: A2

        - ##### Rest ...args: A

        #### Returns R

  - ##### thisArg: T

  - ##### arg0: A0

  - ##### arg1: A1

  - ##### arg2: A2

  #### Returns function

  - - (...args: A): R

    - #### Parameters

      - ##### Rest ...args: A

      #### Returns R

- Overrides Function.bind

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:344

  #### Type parameters

  - #### T

  - #### A0

  - #### A1

  - #### A2

  - #### A3

  - #### A: any[]

  - #### R

  #### Parameters

  - ##### this: function

    - - (this: T, arg0: A0, arg1: A1, arg2: A2, arg3: A3, ...args: A): R

      - #### Parameters

        - ##### this: T

        - ##### arg0: A0

        - ##### arg1: A1

        - ##### arg2: A2

        - ##### arg3: A3

        - ##### Rest ...args: A

        #### Returns R

  - ##### thisArg: T

  - ##### arg0: A0

  - ##### arg1: A1

  - ##### arg2: A2

  - ##### arg3: A3

  #### Returns function

  - - (...args: A): R

    - #### Parameters

      - ##### Rest ...args: A

      #### Returns R

- Overrides Function.bind

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:345

  #### Type parameters

  - #### T

  - #### AX

  - #### R

  #### Parameters

  - ##### this: function

    - - (this: T, ...args: AX[]): R

      - #### Parameters

        - ##### this: T

        - ##### Rest ...args: AX[]

        #### Returns R

  - ##### thisArg: T

  - ##### Rest ...args: AX[]

  #### Returns function

  - - (...args: AX[]): R

    - #### Parameters

      - ##### Rest ...args: AX[]

      #### Returns R

### call

- call<T, A, R>(this: function, thisArg: T, ...args: A): R

- Overrides Function.call

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:332

  Calls the function with the specified object as the this value and the specified rest arguments as the arguments.

  #### Type parameters

  - #### T

  - #### A: any[]

  - #### R

  #### Parameters

  - ##### this: function

    - - (this: T, ...args: A): R

      - #### Parameters

        - ##### this: T

        - ##### Rest ...args: A

        #### Returns R

  - ##### thisArg: T

    The object to be used as the this object.

  - ##### Rest ...args: A

    Argument values to be passed to the function.

  #### Returns R

### toString

- toString(): string

- Inherited from Function.toString

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:296

  Returns a string representation of a function.

  #### Returns string

Generated using TypeDoc